<?php
namespace VAKS\Common\AdminNotice;

class AdminNotice
{
    const PREFIX = "vaks_notice_";

    public static function bind()
    {
        add_action("admin_notices", self::class ."::render");
    }

    public static function render()
    {
        foreach ($_GET as $key => $value)
        {
            if (strpos($key, self::PREFIX) !== 0)
                continue ;

            $path = __DIR__ . "/templates/" . substr($key, mb_strlen(self::PREFIX)) .".php";

            if (is_readable($path))
                require $path;
        }
    }
}