<?php
$post = get_post();
$metaKey = VAKS\VAKS::instance()->config->get("metaKeys.games");
$games = get_post_meta($post->ID, $metaKey, true);

if (!is_array($games) || count($games) === 0)
    return ;

$gameNames = implode(", ", array_column($games, "name"));
?>

<div class="notice notice-success is-dismissible">
    <p>
        <?php printf(__("The games this post is about have been auto set to <b>%s</b>.", "allkeyshop-widget"), $gameNames) ?>
        <?php printf(__("Click <a href=\"%s\" onclick=\"%s\">here</a> if this is not correct.", "allkeyshop-widget"), "#", "jQuery('#vaksNoticeDetails').show(); return false;") ?>
    </p>

    <div id="vaksNoticeDetails" style="display: none">
        <p>
            <?php _e("There is two solutions to this matter:", "allkeyshop-widget") ?>
        </p>

        <?php include __DIR__."/auto_detection_suggestions.php" ?>
    </div>
</div>