<?php
namespace VAKS\Common\Utility;
use VAKS\VAKS;

class WidgetAssetManager
{
    const ACTION_ENQUEUE = "aks_widget_enqueue";

    protected static $assetsEnqueued = false;

    public static function enqueueAssets($atts = [])
    {
        $config = VAKS::instance()->config;
        $widgetVersion = $config->get("widgetVersion");
        $widgetUrl = $config->get("widgetUrl");
        $widgetUrl = str_replace("__VERSION__", $widgetVersion, $widgetUrl);
        $widgetUrl .= "/". $config->get("widgetManagerFilename");

        wp_enqueue_script("vaks_widget", $widgetUrl, [], $widgetVersion, true);

        do_action(self::ACTION_ENQUEUE, $atts);
    }
}
