<?php
namespace VAKS\ListManager\Utility;

class PositionEvolutionComputer
{
    public static function compute(array $newList, array $oldList)
    {
        $evolution = [];

        foreach ($newList as $newPosition => $item)
        {
            $oldPosition = array_search($item, $oldList);

            if ($oldPosition === false)
                $evolution[$item] = null;
            else
                $evolution[$item] = $oldPosition - $newPosition;
        }

        return $evolution;
    }
}