<div class="wrap">
    <h1><?php _e("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?php _e("What is this page?", "vaks-widget") ?></b>
        <?php _e("Use the form below to easily generate the shortcode you want. You will need to copy/paste the code into your post.", "vaks-widget") ?><br>
    </p>

    <div class="vaks-shortcode-generator vaks-split-page">
        <div class="vaks-left-pane" style="width: 300px">
            <h2><?php _e("Shortcode Parameters", "allkeyshop-widget") ?></h2>

            <form action="" method="post" id="shortcodeGeneratorForm">
                <?php
                require VAKS_ROOT_DIR . "Common/template/widget_form.php";
                ?>
            </form>
        </div>

        <div class="vaks-right-pane" style="flex-grow: 1">
            <h2><?php _e("Generated Shortcode", "allkeyshop-widget") ?></h2>

            <textarea id="shortcodeGeneratorResult" rows="5" class="vaks-shortcode-generator-shortcode"></textarea>
            <button class="button button-primary" data-role="copyShortcode"><?php _e("Copy to clipboard", "allkeyshop-widget") ?></button><br>
            <br>


            <h2>
                <?php _e("Preview", "allkeyshop-widget") ?>
                <a href="#" style="margin-left: 10px" class="dashicons dashicons-update" data-vaks-update-preview></a>
            </h2>
            <div data-role="widget-preview"></div>


            <h2><?php _e("Shortcode Presets", "allkeyshop-widget") ?></h2>
            <p class="description">
                <?php _e("Widget shortcodes can become pretty verbose. You can use presets to ease its daily use.", "allkeyshop-widget") ?><br>
                <?php printf(__("To use an existing preset, write the shortcode [%s preset=\"preset_name\"].", "allkeyshop-widget"), \VAKS\Common\Shortcode\VAKSShortcode::SHORTCODE_WIDGET) ?>
            </p>
            <br>

            <div class="vaks-shortcode-presets-loading-container">
                <div id="vaksShortcodePresetsContainer" class="vaks-shortcode-presets-loading">
                    <p><?php _e("Loading...", "allkeyshop-widget") ?></p>
                </div>

                <div class="d-flex">
                    <div>
                        <label class="vaks-shortcode-preset-label"><?php _e("Saved presets:", "allkeyshop-widget") ?></label>

                        <select class="vaks-shortcode-preset-presets" data-vaks-presets></select>
                    </div>

                    <div style="margin-left: 30px;" class="vaks-shortcode-preset-actions">
                        <label class="vaks-shortcode-preset-label"><?php _e("Actions:", "allkeyshop-widget") ?></label>

                        <button class="button button-primary" data-vaks-preset-create><?php _e("Create a new preset with current shortcode", "allkeyshop-widget") ?></button>
                        <button class="button button-primary" data-vaks-preset-overwrite><?php _e("Overwrite this preset with current shortcode", "allkeyshop-widget") ?></button>
                        <button class="button" data-vaks-preset-delete><?php _e("Delete this preset", "allkeyshop-widget") ?></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
