<?php
namespace VAKS\ThemeManager\Ajax;

use VAKS\Common\Shortcode\VAKSShortcode;
use VAKS\Common\Utility\ThemeManager;

class ThemePreviewAjax
{
    public static function bind()
    {
        if (is_admin())
            add_action("wp_ajax_vaks_theme_preview", self::class ."::execute");
    }

    public static function execute()
    {
        check_ajax_referer("vaksThemeManager");

        if (!empty($_GET["settings"]))
        {
            $settings = ThemeManager::generateCSS($_GET["settings"]);
            echo do_shortcode('['. VAKSShortcode::SHORTCODE_WIDGET .' target=281 css="data:text/css;base64,'. base64_encode($settings) .'"]');
        }

        exit;
    }
}
