<?php
namespace VAKS\Common\Utility;

class CaseConverter
{
    public static function snakeToCamel($string, $capitalizeFirstCharacter = false, $separator = "_")
    {
        $str = str_replace($separator, "", ucwords($string, $separator));

        if (!$capitalizeFirstCharacter)
            $str = lcfirst($str);

        return $str;
    }
}
