<?php
namespace VAKS\PostScanner\Utility;
use VAKS\VAKS;

class PostUpdater
{
    public static function updatePostGames($postId, $mode, array $games)
    {
        if ($postId instanceof \WP_Post)
            $postId = $postId->ID;

        $metaKeys = VAKS::instance()->config->get("metaKeys");

        update_post_meta($postId, $metaKeys->mode, $mode);
        update_post_meta($postId, $metaKeys->games, $games);
    }
}