(function (VAKS) {
    var $ = jQuery;

    VAKS.ThemeManagerPreview = function ($container)
    {
        this.init($container);
    };

    VAKS.ThemeManagerPreview.prototype = Object.create(VAKS.WidgetPreview.prototype, {
        generateRequestUrl: {
            value:  function (data)
            {
                var url = "";

                for (var key in data)
                {
                    if (!data[key])
                        continue ;

                    if (url)
                        url += "&";

                    url += "settings["+ key +"]="+ encodeURIComponent(data[key]);
                }

                return ajaxurl + "?action=vaks_theme_preview&"+ url +"&_wpnonce="+ vaksTrans.nonce;
            },
        },

        hasDataChanged: {
            value: function (data)
            {
                if (typeof data !== typeof this.lastData || typeof data !== "object")
                    return (data !== this.lastData);

                if (data === null && this.lastData !== null || data !== null && this.lastData === null)
                    return true;

                if (Object.keys(data).length !== Object.keys(this.lastData).length)
                    return true;

                for (var key in this.lastData)
                {
                    if (data[key] !== this.lastData[key])
                        return true;
                }

                return false;
            },
        },
    });
})(window.VAKS = window.VAKS || {});