<?php
namespace VAKS\Upgrade\Scripts;
use VAKS\Upgrade\UpgradeScript;
use VAKS\Common\Utility\ThemeManager;

class v0_15_2 implements UpgradeScript
{
    public function up()
    {
        $mutations = array(
            "theme-offers-buy-btn-bg-color" => "theme-offers-buy-btn-bg",
            "theme-offers-buy-btn-bg-color-hover" => "theme-offers-buy-btn-bg-hover",
        );
        $themes = ThemeManager::getThemes();

        foreach ($themes as &$theme)
        {
            foreach ($mutations as $from => $to)
            {
                if (isset($theme[$from]))
                {
                    $theme[$to] = $theme[$from];
                    unset($theme[$from]);
                }
            }
        }

        ThemeManager::saveThemes($themes);
    }
}