<?php
namespace VAKS\Upgrade\Scripts;
use VAKS\Upgrade\UpgradeScript;
use VAKS\Common\Utility\ThemeManager;
use VAKS\VAKS;

class v0_16_0 implements UpgradeScript
{
    public function up()
    {
        global $wpdb;

        $key = VAKS::instance()->config->get("metaKeys.position");

        $wpdb->query($wpdb->prepare("
            UPDATE $wpdb->postmeta
            SET meta_value = %s
            WHERE meta_key = %s AND meta_value = %s
        ", "hidden", $key, "shortcode"));
    }
}